org.apache.ignite.spi.systemview.view

## Class CachePagesListView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.PagesListView
  - - org.apache.ignite.spi.systemview.view.CachePagesListView

    public class CachePagesListView
    extends PagesListView

Pages-list representation for a `SystemView`.

### Constructor Summary

Constructors
Constructor and Description
`CachePagesListView(PagesList pagesList, int bucket, int partId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `cacheGroupId()`
`int` `partitionId()`

### Methods inherited from class org.apache.ignite.spi.systemview.view.PagesListView

`bucketNumber, bucketSize, cachedPagesCount, name, stripesCount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CachePagesListView

    public CachePagesListView(PagesList pagesList,
                              int bucket,
                              int partId)

Parameters:
  `pagesList` - Pages list.
  `bucket` - Bucket number.
  `partId` - Partition ID.

### Method Detail

#### cacheGroupId

    public int cacheGroupId()

Returns:
  Cache group id.

#### partitionId

    public int partitionId()

Returns:
  Partition id.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022